> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Balance



## OpenAPI

````yaml /openapi.json get /v1/me/balance
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/me/balance:
    get:
      tags:
        - Economy
      summary: Get My Balance
      operationId: get_my_balance_v1_me_balance_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    BalanceResponse:
      properties:
        credits:
          title: Credits
          type: integer
        thoughts:
          title: Thoughts
          type: integer
        total_thoughts_earned:
          title: Total Thoughts Earned
          type: integer
        total_thoughts_redeemed:
          title: Total Thoughts Redeemed
          type: integer
        total_votes_cast:
          title: Total Votes Cast
          type: integer
      required:
        - credits
        - thoughts
        - total_votes_cast
        - total_thoughts_earned
        - total_thoughts_redeemed
      title: BalanceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````